%define 	module	gnutls
Summary:	Python wrapper for the GNUTLS library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki GNUTLS
Name:		python-%{module}
Version:	2.0.1
Release:	1
License:	LGPL v2+
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/p/python-gnutls/%{name}-%{version}.tar.gz
# Source0-md5:	adba310851a15d19ff29355385c6f74f
URL:		https://pypi.python.org/pypi/python-gnutls/
BuildRequires:	gnutls-devel >= 3.1.4
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	gnutls >= 3.1.4
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a high level object oriented wrapper around
libgnutls, as well as low level bindings to the GNUTLS types and
functions via ctypes. The high level wrapper hides the details of
accessing the GNUTLS library via ctypes behind a set of classes that
encapsulate GNUTLS sessions, certificates and credentials and expose
them to Python applications using a simple API.

%description -l pl.UTF-8
Ten pakiet udostępnia wysokopoziomowe, zorientowane obiektowo
obudowanie libgnutls, a także niskopoziomowe wiązania do typów i
funkcji GNUTLS poprzez ctypes. Wysokopoziomowe obudowanie skrywa
szczegóły dostępu do biblioteki GNUTLS poprzez ctypes za zbiorem klas
przechowujących sesje, certyfikaty oraz dane uwierzytelniające GNUTLS
i udostępnia je aplikacjom Pythona poprzez proste API.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%dir %{py_sitescriptdir}/gnutls
%{py_sitescriptdir}/gnutls/*.py[co]
%dir %{py_sitescriptdir}/gnutls/interfaces
%{py_sitescriptdir}/gnutls/interfaces/*.py[co]
%dir %{py_sitescriptdir}/gnutls/interfaces/twisted
%{py_sitescriptdir}/gnutls/interfaces/twisted/*.py[co]
%dir %{py_sitescriptdir}/gnutls/library
%{py_sitescriptdir}/gnutls/library/*.py[co]
%{py_sitescriptdir}/python_gnutls-%{version}-py*.egg-info
%changelog
* Thu Jul 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gnutls.git;a=log;h=master

* Thu Jul 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 39ace53
- updated to 2.0.1

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 0d8868b
- updated to 2.0.0 for gnutls 3

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> c2ff16d
- updated to 1.2.5

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 378de39
- up to 1.2.4

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> f591128
- up to 1.2.3

* Sun Aug 21 2011 Jakub Bogusz <qboosh@pld-linux.org> c494a14
- updated to 1.2.2
- pl

* Fri Mar 06 2009 Jacek Konieczny <jajcus@pld-linux.org> 140cf32
- BR: gnutls-devel >= 2.4.1

* Fri Mar 06 2009 Jacek Konieczny <jajcus@pld-linux.org> 5e5a985
- new spec

